Downgrade node, Nodejs, npm

Forum zum Mitteilen von Fehlern
paul53
guru
Beiträge: 3496
Registriert: 09.06.2015, 16:03
Wohnort: Berlin

Re: Downgrade node, Nodejs, npm

Beitrag von paul53 » 13.03.2018, 20:06

UweS hat geschrieben:bin schon etwas verwirrt.
Das wäre ich auch. n und nvm scheinen sich in die Quere zu kommen ?
Vielleicht hilft es, die NVM-Version von node gleich zu ziehen ?

Code: Alles auswählen

nvm install 6.13.1
nvm use 6.13.1
node -v
Versionen für RPi 2 mit S.USV, HM-MOD-RPI und SLC-USB-Stick mit root fs:
Jessie lite, Kernel 4.4.50-v7+, hmcon 0.18, node 8.11.3, Host 1.4.2, Admin 2.0.9, Javascript 3.6.4, HM-RPC 1.7.4, Email 1.0.4, History 1.8.5, Flot 1.9.1, Vis 1.0.4, Web 2.4.0

UweS
starter
Beiträge: 32
Registriert: 27.12.2017, 11:00

Re: Downgrade node, Nodejs, npm

Beitrag von UweS » 13.03.2018, 20:21

Hi

schaur schon etwas besser aus
bei nodejs -v kommt noch immer 6.12.3

und jetzt noch folgender Fehler von 2 Adaptern
Spoiler: Show hidden text
radar.1
2018-03-13 20:19:06.064
warn
Noble not available, Error: Error: Module version mismatch. Expected 48, got 59. at Error (native) at Object.Module._extensions..node (module.js:604:18) at Module.load (module.js:494:32)
radar.1
2018-03-13 20:19:06.063
info
starting. Version 1.1.3 in /opt/iobroker/node_modules/iobroker.radar, node: v6.13.1
host.fhem
2018-03-13 20:19:05.492
info
instance system.adapter.radar.1 started with pid 1323
ble.0
2018-03-13 20:19:01.957
error
unhandled promise rejection: Error: Module version mismatch. Expected 48, got 59.
Ich weiß leider nicht mehr wie ich das in den adaptern updaten kann.

LG
Uwe

Benutzeravatar
wendy2702
guru
Beiträge: 3106
Registriert: 18.01.2016, 22:12
Wohnort: Herzogenrath

Re: Downgrade node, Nodejs, npm

Beitrag von wendy2702 » 13.03.2018, 20:23

Was es alles gibt :P
Bitte keine Fragen per PN, die gehören ins Forum!

UweS
starter
Beiträge: 32
Registriert: 27.12.2017, 11:00

Re: Downgrade node, Nodejs, npm

Beitrag von UweS » 13.03.2018, 20:24

:lol:

paul53
guru
Beiträge: 3496
Registriert: 09.06.2015, 16:03
Wohnort: Berlin

Re: Downgrade node, Nodejs, npm

Beitrag von paul53 » 13.03.2018, 20:38

Für das Problem mit nicht passender node-Version soll es reinstall geben.

Code: Alles auswählen

cd /opt/iobroker
sudo ./reinstall.sh
iobroker start
Es kann einige Zeit dauern, bis reinstall fertig ist.
Versionen für RPi 2 mit S.USV, HM-MOD-RPI und SLC-USB-Stick mit root fs:
Jessie lite, Kernel 4.4.50-v7+, hmcon 0.18, node 8.11.3, Host 1.4.2, Admin 2.0.9, Javascript 3.6.4, HM-RPC 1.7.4, Email 1.0.4, History 1.8.5, Flot 1.9.1, Vis 1.0.4, Web 2.4.0

UweS
starter
Beiträge: 32
Registriert: 27.12.2017, 11:00

Re: Downgrade node, Nodejs, npm

Beitrag von UweS » 13.03.2018, 20:45

Hi

Da bekomme ich folgenden Fehler:

sudo: unable to execute ./reinstall.sh: No such file or directory

reinstall.sh ist aber im verzeichniss

LG

knopers1
professional
Beiträge: 872
Registriert: 04.10.2016, 19:11

Re: Downgrade node, Nodejs, npm

Beitrag von knopers1 » 13.03.2018, 20:52

Datei bitte mit filezilla o.ä herunterladen, mit notepad++ bearbeiten und den Typ des Zeilenumbruchs von Windows in Unix ändern:
Dateittribut auf 755 setzen, dann geht es mit dem Script!
Dateianhänge
Zeilenumbruch.jpg
Zeilenumbruch.jpg (8 KiB) 339 mal betrachtet
HP Microserver Gen8, RPI-3, Orange-Pi, IoBroker,

UweS
starter
Beiträge: 32
Registriert: 27.12.2017, 11:00

Re: Downgrade node, Nodejs, npm

Beitrag von UweS » 13.03.2018, 21:11

Hi

gemacht kommt aber der gleiche Fehler.

LG

knopers1
professional
Beiträge: 872
Registriert: 04.10.2016, 19:11

Re: Downgrade node, Nodejs, npm

Beitrag von knopers1 » 13.03.2018, 21:17

Hast Du auf Unix gestellt und dateiattributte 755 geändert?
Versuche ein sudo vor dem

Code: Alles auswählen

./reinstall.sh
zu setzen.
Dateianhänge
_593_3.gif
_593_3.gif (4.85 KiB) 331 mal betrachtet
Zuletzt geändert von knopers1 am 13.03.2018, 21:46, insgesamt 1-mal geändert.
HP Microserver Gen8, RPI-3, Orange-Pi, IoBroker,

UweS
starter
Beiträge: 32
Registriert: 27.12.2017, 11:00

Re: Downgrade node, Nodejs, npm

Beitrag von UweS » 13.03.2018, 21:28

hi

das mit dem sudo wars, jetzt läufts mal.

danke

UweS
starter
Beiträge: 32
Registriert: 27.12.2017, 11:00

Re: Downgrade node, Nodejs, npm

Beitrag von UweS » 13.03.2018, 21:42

Yeah alles läuft wieder rund,

super, vielen Dank

Antworten